package com.crm.email.service;

import com.crm.rely.backend.core.constant.Constants;
import com.crm.rely.backend.core.entity.ib.point.AgentPointEntity;
import com.crm.rely.backend.core.entity.system.email.SysEmailSendEntity;
import com.crm.rely.backend.service.RedisService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;
import java.util.List;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class SysEmailRecordServiceTest {


    @Autowired
    private SysEmailRecordService sysEmailRecordService;


    @Test
    public void send() throws Exception {
        SysEmailSendEntity entity = new SysEmailSendEntity();
        entity.setAddIp("127.0.0.1");
        entity.setAddTime(new Date());
        entity.setAddUser(-1L);
        entity.setSubject("cs");
        entity.setContent("测试");
        entity.setUsers("hongox@126.com,645571361@qq.com");

        sysEmailRecordService.send(entity);

    }

}
